python-apt needs to be multiarched

Bug #1130709 reported by Chow Loong Jin
30
This bug affects 2 people
Affects Status Importance Assigned to Milestone
python-apt (Ubuntu)
Fix Released
Undecided
Matthias Klose
Precise
Fix Released
Undecided
Unassigned
Quantal
Fix Released
Undecided
Unassigned
Raring
Fix Released
Undecided
Matthias Klose
python-defaults (Ubuntu)
Invalid
Undecided
Unassigned
Precise
Fix Released
Undecided
Unassigned
Quantal
Fix Released
Undecided
Unassigned
Raring
Invalid
Undecided
Unassigned
python2.7 (Ubuntu)
Invalid
Undecided
Unassigned
Precise
Fix Released
Undecided
Unassigned
Quantal
Fix Released
Undecided
Unassigned
Raring
Invalid
Undecided
Unassigned
python3-defaults (Ubuntu)
Invalid
Undecided
Unassigned
Precise
Fix Released
Undecided
Unassigned
Quantal
Fix Released
Undecided
Unassigned
Raring
Invalid
Undecided
Unassigned
python3.2 (Ubuntu)
Invalid
Undecided
Unassigned
Precise
Fix Released
Undecided
Unassigned
Quantal
Fix Released
Undecided
Unassigned
Raring
Invalid
Undecided
Unassigned

Bug Description

affects ubuntu/python-apt
  subscribe jpugh
  subscribe dpitkin
  subscribe vorlon
  subscribe

Currently, on amd64, it is impossible to express a dependency between an i386
package and the native python-apt -- attempting to install the package forces
python-apt:i386 to be installed, and python-apt:amd64 to be removed.

--
Kind regards,
Loong Jin

[Test case]
1. install the 'equivs' package
2. create a dummy template package:
$ cat > template
Section: misc
Priority: optional
Standards-Version: 3.9.2

Package: python-apt-test
Architecture: i386
Depends: python-apt:any
Description: test package for bug #1130709
 Nothing much
^D
$ equivs-build --arch=i386 template
3. unpack the package on an amd64 system:
$ sudo dpkg --unpack python-apt-test_1.0_i386.deb
4. Verify that the package dependencies cannot be installed correctly:
$ sudo apt-get -f install
5. Remove the package again with 'sudo dpkg --purge python-apt-test'.
6. Upgrade to -proposed.
7. install the package again with 'sudo dpkg --unpack python-apt-test_1.0_i386.deb'
8. Verify that the dependencies are now satisfied correctly when running 'sudo apt-get -f install'.

Revision history for this message
Matthias Klose (doko) wrote :

what's the use case for this?

I think what you do want to have is an python-apt:allowed package.

Changed in python-apt (Ubuntu):
status: New → Incomplete
Revision history for this message
Steve Langasek (vorlon) wrote :

The use case is a foreign-arch package that ships a python script which uses python-apt. You don't want to pull in the foreign-arch version of python-apt (and python), you want the dep to be satisfied by the version of python already installed plus the corresponding python-apt package.

So I think Multi-Arch: allowed is correct here.

Changed in python-apt (Ubuntu):
status: Incomplete → Triaged
Revision history for this message
Steve Langasek (vorlon) wrote :

Matthias, can you take care of this?

Changed in python-apt (Ubuntu):
assignee: nobody → Matthias Klose (doko)
David Pitkin (dpitkin)
tags: added: ca-escalated
Matthias Klose (doko)
Changed in python2.7 (Ubuntu Raring):
status: New → Invalid
Changed in python3.2 (Ubuntu Raring):
status: New → Invalid
Changed in python3-defaults (Ubuntu Raring):
status: New → Invalid
Changed in python-defaults (Ubuntu Raring):
status: New → Invalid
Revision history for this message
Matthias Klose (doko) wrote :

for precise and quantal, have a minimal solution to only make python{,3,2.7,3.2}{,-minimal} Multi-Arch: allowed.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-apt - 0.8.8ubuntu6

---------------
python-apt (0.8.8ubuntu6) raring; urgency=low

  * Make python{,3}-apt{,-dbg} Multi-Arch: allowed. LP: #1130709.
 -- Matthias Klose <email address hidden> Fri, 22 Feb 2013 08:57:45 +0100

Changed in python-apt (Ubuntu Raring):
status: Triaged → Fix Released
Matthias Klose (doko)
Changed in python2.7 (Ubuntu Precise):
status: New → In Progress
Changed in python2.7 (Ubuntu Quantal):
status: New → In Progress
Changed in python3.2 (Ubuntu Precise):
status: New → In Progress
Changed in python3.2 (Ubuntu Quantal):
status: New → In Progress
Changed in python-apt (Ubuntu Precise):
status: New → In Progress
Changed in python-apt (Ubuntu Quantal):
status: New → In Progress
Revision history for this message
Matthias Klose (doko) wrote :

for the uploads:

 - first build python2.7 and python3.2 on all archs
 - then build the defaults packages. make sure that the uploads for all archs are accepted
   in the same publisher run.
 - then upload the python-apt packages

Changed in python-defaults (Ubuntu Precise):
status: New → In Progress
Changed in python-defaults (Ubuntu Quantal):
status: New → In Progress
Changed in python3-defaults (Ubuntu Precise):
status: New → In Progress
Changed in python3-defaults (Ubuntu Quantal):
status: New → In Progress
Revision history for this message
Chris Halse Rogers (raof) wrote :

There are currently two python2.7 uploads for precise-proposed, this one, and the one fixing bug 1088771 . Do you want to roll these two into one update?

Revision history for this message
Chris Halse Rogers (raof) wrote :

The python3-defaults upload changes some (= ${binary:Version}) dependencies to (>= ${binary:Version}). This change isn't obviously related to multiarching; is it intentional?

Revision history for this message
Matthias Klose (doko) wrote :

yes. please think about the all on any deps.

Revision history for this message
Chris Halse Rogers (raof) wrote : Please test proposed package

Hello Chow, or anyone else affected,

Accepted python3.2 into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python3.2/3.2.3-6ubuntu3.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python3.2 (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in python2.7 (Ubuntu Quantal):
status: In Progress → Fix Committed
Revision history for this message
Chris Halse Rogers (raof) wrote :

Hello Chow, or anyone else affected,

Accepted python2.7 into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python2.7/2.7.3-5ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-defaults (Ubuntu Quantal):
status: In Progress → Fix Committed
Revision history for this message
Chris Halse Rogers (raof) wrote :

Hello Chow, or anyone else affected,

Accepted python-defaults into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python-defaults/2.7.3-0ubuntu7.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python3-defaults (Ubuntu Quantal):
status: In Progress → Fix Committed
Revision history for this message
Chris Halse Rogers (raof) wrote :

Hello Chow, or anyone else affected,

Accepted python3-defaults into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python3-defaults/3.2.3-5ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-apt (Ubuntu Quantal):
status: In Progress → Fix Committed
Revision history for this message
Chris Halse Rogers (raof) wrote :

Hello Chow, or anyone else affected,

Accepted python-apt into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python-apt/0.8.7ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python2.7 (Ubuntu Precise):
status: In Progress → Fix Committed
Revision history for this message
Chris Halse Rogers (raof) wrote :

Hello Chow, or anyone else affected,

Accepted python2.7 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python2.7/2.7.3-0ubuntu3.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Revision history for this message
Chris Halse Rogers (raof) wrote :

Hello Chow, or anyone else affected,

Accepted python3.2 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python3.2/3.2.3-0ubuntu3.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python3.2 (Ubuntu Precise):
status: In Progress → Fix Committed
Revision history for this message
Chris Halse Rogers (raof) wrote :

Hello Chow, or anyone else affected,

Accepted python-defaults into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python-defaults/2.7.3-0ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-defaults (Ubuntu Precise):
status: In Progress → Fix Committed
Revision history for this message
Chris Halse Rogers (raof) wrote :

Hello Chow, or anyone else affected,

Accepted python3-defaults into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python3-defaults/3.2.3-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python3-defaults (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in python-apt (Ubuntu Precise):
status: In Progress → Fix Committed
Revision history for this message
Chris Halse Rogers (raof) wrote :

Hello Chow, or anyone else affected,

Accepted python-apt into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python-apt/0.8.3ubuntu7.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Revision history for this message
Steve Langasek (vorlon) wrote :

Hello Chow, or anyone else affected,

Accepted python3-defaults into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python3-defaults/3.2.3-5ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Revision history for this message
Steve Langasek (vorlon) wrote :

Hello Chow, or anyone else affected,

Accepted python3-defaults into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python3-defaults/3.2.3-0ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Steve Langasek (vorlon)
description: updated
Revision history for this message
Steve Langasek (vorlon) wrote :

I have run through the test case that I've added to the bug description. I've also checked the results on <https://jenkins.qa.ubuntu.com/view/Precise/view/Upgrade%20Testing%20Dashboard/> and <https://jenkins.qa.ubuntu.com/view/Quantal/view/Upgrade%20Testing%20Dashboard> to make sure there aren't any upgrade failures related to the python package changes (since in earlier versions of the SRUs, there had been). Everything looks good - marking verification-done.

tags: added: verification-donee
removed: verification-needed
tags: added: verification-done
removed: verification-donee
Revision history for this message
Scott Kitterman (kitterman) wrote : Update Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-apt - 0.8.3ubuntu7.1

---------------
python-apt (0.8.3ubuntu7.1) precise-proposed; urgency=low

  * Make python{,3}-apt{,-dbg} Multi-Arch: allowed. LP: #1130709.
 -- Matthias Klose <email address hidden> Fri, 22 Feb 2013 09:14:45 +0100

Changed in python-apt (Ubuntu Precise):
status: Fix Committed → Fix Released
Revision history for this message
Steve Langasek (vorlon) wrote : Please test proposed package

Hello Chow, or anyone else affected,

Accepted python-defaults into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/python-defaults/2.7.3-0ubuntu2.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Revision history for this message
Steve Langasek (vorlon) wrote :

the latest python-defaults upload only changed the Replaces, no need for re-verification.

tags: added: verification-done
removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python3.2 - 3.2.3-0ubuntu3.3

---------------
python3.2 (3.2.3-0ubuntu3.3) precise-proposed; urgency=low

  * Make python3.2{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
  * distutils: Append the abiflags to the python include dir (avoids
    extensions installing over a symlink).
 -- Matthias Klose <email address hidden> Fri, 22 Feb 2013 09:55:09 +0100

Changed in python3.2 (Ubuntu Precise):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python3-defaults - 3.2.3-0ubuntu1.2

---------------
python3-defaults (3.2.3-0ubuntu1.2) precise-proposed; urgency=low

  * Move py3versions back to python3-minimal. LP: #1167183.

python3-defaults (3.2.3-0ubuntu1.1) precise-proposed; urgency=low

  * Make python3{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
  * As a prerequisite, build dependency packages as architecture
    dependent packages.
 -- Matthias Klose <email address hidden> Wed, 10 Apr 2013 15:50:15 +0200

Changed in python3-defaults (Ubuntu Precise):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python3.2 - 3.2.3-6ubuntu3.2

---------------
python3.2 (3.2.3-6ubuntu3.2) quantal-proposed; urgency=low

  * Make python3.2{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
  * distutils: Append the abiflags to the python include dir (avoids
    extensions installing over a symlink).
 -- Matthias Klose <email address hidden> Fri, 22 Feb 2013 10:08:16 +0100

Changed in python3.2 (Ubuntu Quantal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python3-defaults - 3.2.3-5ubuntu1.2

---------------
python3-defaults (3.2.3-5ubuntu1.2) quantal-proposed; urgency=low

  * Move py3versions back to python3-minimal. LP: #1167183.

python3-defaults (3.2.3-5ubuntu1.1) quantal-proposed; urgency=low

  * Make python3{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
  * As a prerequisite, build dependency packages as architecture
    dependent packages.
 -- Matthias Klose <email address hidden> Wed, 10 Apr 2013 15:26:42 +0200

Changed in python3-defaults (Ubuntu Quantal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-defaults - 2.7.3-0ubuntu7.1

---------------
python-defaults (2.7.3-0ubuntu7.1) quantal-proposed; urgency=low

  * Make python{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
 -- Matthias Klose <email address hidden> Fri, 22 Feb 2013 10:33:41 +0100

Changed in python-defaults (Ubuntu Quantal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-apt - 0.8.7ubuntu4.1

---------------
python-apt (0.8.7ubuntu4.1) quantal-proposed; urgency=low

  * Make python{,3}-apt{,-dbg} Multi-Arch: allowed. LP: #1130709.
 -- Matthias Klose <email address hidden> Fri, 22 Feb 2013 08:22:41 +0100

Changed in python-apt (Ubuntu Quantal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python2.7 - 2.7.3-5ubuntu4.1

---------------
python2.7 (2.7.3-5ubuntu4.1) quantal-proposed; urgency=low

  * Make python2.7{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
 -- Matthias Klose <email address hidden> Fri, 22 Feb 2013 09:35:50 +0100

Changed in python2.7 (Ubuntu Quantal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python2.7 - 2.7.3-0ubuntu3.2

---------------
python2.7 (2.7.3-0ubuntu3.2) precise-proposed; urgency=low

  * Backport fix for issue #14308. Fix an exception when a "dummy" thread is
    in the threading module's active list after a fork(). LP: #1100343.
  * Remove dangling symlink in pkgconfig. LP: #1088771.
  * Make python2.7{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
 -- Matthias Klose <email address hidden> Thu, 28 Mar 2013 12:40:39 +0100

Changed in python2.7 (Ubuntu Precise):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-defaults - 2.7.3-0ubuntu2.2

---------------
python-defaults (2.7.3-0ubuntu2.2) precise-proposed; urgency=low

  * Fix the python-dev Replaces to prevent installation regression.
    LP: #1167177

python-defaults (2.7.3-0ubuntu2.1) precise-proposed; urgency=low

  * Make python{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
  * Provide python2.pc symlinks. LP: #1088771.
 -- Barry Warsaw <email address hidden> Mon, 17 Jun 2013 14:06:09 -0400

Changed in python-defaults (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers